GNU bug report logs - #45618
development childhurd fails to build: glib@2.62.6: build system `meson'

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Jan Nieuwenhuizen <janneke@HIDDEN>; Done: Jan Nieuwenhuizen <jan.nieuwenhuizen@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.

Message received at 45618 <at> debbugs.gnu.org:


Received: (at 45618) by debbugs.gnu.org; 17 Jan 2021 15:59:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 17 10:59:44 2021
Received: from localhost ([127.0.0.1]:45509 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1ASt-00047k-VE
	for submit <at> debbugs.gnu.org; Sun, 17 Jan 2021 10:59:44 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:45734)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1l1ASr-00047c-SC
 for 45618 <at> debbugs.gnu.org; Sun, 17 Jan 2021 10:59:42 -0500
Received: from localhost (80-110-127-104.cgn.dynamic.surfer.at
 [80.110.127.104])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 5814933656D9;
 Sun, 17 Jan 2021 16:59:40 +0100 (CET)
Date: Sun, 17 Jan 2021 16:59:39 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: Ludovic =?ISO-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Subject: Re: bug#45618: development childhurd fails to build: glib@HIDDEN:
 build system `meson'
Message-ID: <20210117165939.45324f56@HIDDEN>
In-Reply-To: <877dof2p3i.fsf@HIDDEN>
References: <87czymh1oz.fsf@HIDDEN> <87pn27qzev.fsf@HIDDEN>
 <877dof2p3i.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.8 (GTK+ 2.24.32; x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="Sig_/RCTfdj=E_qJGTmNT=yTTWzz";
 protocol="application/pgp-signature"; micalg=pgp-sha512
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45618
Cc: jan.nieuwenhuizen@HIDDEN, 45618 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/RCTfdj=E_qJGTmNT=yTTWzz
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Hi Ludo,

that is not a fix.  A workaround maybe.

If possible, I'd like the actual fix to be to make the meson build system
support cross compilation.

According to https://mesonbuild.com/Cross-compilation.html :

>Meson has full support for cross compilation.=20
[...]
>meson builddir/ --cross-file x86-linux

Also, for the record, I find it a bad idea to switch packages from
gnu-build-system to meson-build-system when the package in question
supports building itself with either, as long as meson-build-system
doesn't support cross-compilation.

--Sig_/RCTfdj=E_qJGTmNT=yTTWzz
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAmAEXusACgkQ5xo1VCww
uqVwtwf/eMcNYxWgOSSA0q4sxs5glbBxi4QvXM7ALJFQfalhZZXYA3VoMmqvZXpq
7ZPkDm4H8CtUJ4ifGlW1/0dnF6fcS/m+Y8G1UXL7RbLBKo6ioMy9dzzbNiyQPtES
+w4tfmAV96Aw7yHOBCnYvJgDFg7P5L8Q1S3OEx/ERUY9Y+vpYhPge+bDiEeuVs/q
SGTwfN+D21ygklWlxZ74YR9cX0zKtXZzg2Hw6ozpiGtm4QYmOawtt1/AeQdjr4ec
JAPDF3xFsev4aieTC2GTARZHhE7/hYANc9SN9Xi897OVFhMTNeW3ojZMZ/6plSGW
II7B5yZCaUKjx0+gt8Tk6sV37g0uoQ==
=JGkc
-----END PGP SIGNATURE-----

--Sig_/RCTfdj=E_qJGTmNT=yTTWzz--




Information forwarded to bug-guix@HIDDEN:
bug#45618; Package guix. Full text available.

Message received at 45618 <at> debbugs.gnu.org:


Received: (at 45618) by debbugs.gnu.org; 14 Jan 2021 21:19:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 14 16:19:55 2021
Received: from localhost ([127.0.0.1]:39461 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l0A26-00076N-Tx
	for submit <at> debbugs.gnu.org; Thu, 14 Jan 2021 16:19:55 -0500
Received: from eggs.gnu.org ([209.51.188.92]:48864)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1l0A24-000769-DL
 for 45618 <at> debbugs.gnu.org; Thu, 14 Jan 2021 16:19:53 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60054)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1l0A1y-0000Q0-MR; Thu, 14 Jan 2021 16:19:46 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=52564 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1l0A1y-0007iu-B5; Thu, 14 Jan 2021 16:19:46 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: 45618 <at> debbugs.gnu.org
Subject: Re: bug#45618: development childhurd fails to build: glib@HIDDEN:
 build system `meson'
References: <87czymh1oz.fsf@HIDDEN> <87pn27qzev.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 25 =?utf-8?Q?Niv=C3=B4se?= an 229 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 14 Jan 2021 22:19:45 +0100
In-Reply-To: <87pn27qzev.fsf@HIDDEN> (Jan Nieuwenhuizen's message of "Thu, 
 14 Jan 2021 17:03:04 +0100")
Message-ID: <877dof2p3i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45618
Cc: jan.nieuwenhuizen@HIDDEN, janneke@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Jan Nieuwenhuizen <jan.nieuwenhuizen@HIDDEN> skribis:

> My bad, turns out to be the new guile-avahi dependency that cannot be
> cross-built.

Good catch, thanks for the fix!

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#45618; Package guix. Full text available.

Message received at 45618-done <at> debbugs.gnu.org:


Received: (at 45618-done) by debbugs.gnu.org; 14 Jan 2021 18:53:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 14 13:53:27 2021
Received: from localhost ([127.0.0.1]:39216 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l07kI-00016r-0f
	for submit <at> debbugs.gnu.org; Thu, 14 Jan 2021 13:53:27 -0500
Received: from mail-db8eur05on2126.outbound.protection.outlook.com
 ([40.107.20.126]:31142 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jan.nieuwenhuizen@HIDDEN>) id 1l055e-0003Eg-Dv
 for 45618-done <at> debbugs.gnu.org; Thu, 14 Jan 2021 11:03:15 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=eZRgAnTIseN9EBjlF2C62bhm/y8XX7ZAUW11/0rGBRI4YSyrOeZpR+P4Jneud4p8Opy6NdNNWQNIBzGCT42gNfoyBq2cWFwbhVseJ81KmNxB6C+ktTN2Zg9dvaC3QxPxwQ7XGInRKc8ikORZ7VUERyzfhQCDxMxgfTNtLBg2nYQG3Uj0FEP63KVFGXxCvOeyIW59IFhqhVQvtxGNqO78v66fvX1JBeqD7SYdk6051ryqRmyDzoASE06CKuP5EWSLEOctGkz4YI/plHmZR+pRk48s1TEjQeQpYesI7zRvLbpVJS1ujL0ahmWLxVSuZku17b1h2ZpfQRXHxM04FRDnmQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=PQ3qRPOy7B+1Gy0I+HcQvQcCtbGdns/TSZ+mdSNaHUo=;
 b=eQ66pqwEQq+FwiZK2Yo2VmH79AIOJmnMtLaj3oSdgbBuTA6Y0LLtpRlyuTjaulci3h+YQyDyqpRFaQXcNhNQyzWo47qmavmCAzIvCwBsDuiu8U1UwnSYNnXnD8xLY1LUek502emKApzBOr+ttAnuY9WiufFsR7yz0PO65ysrGo1csg6G6L146nysQnNNtrI/IOWrJ0OvUCW2IdfLsjGtcWQ57ZqDvl8FOkNfNfT18C60gP9aETRK74RuiymGTP0ePFfnHRe+xpc7J3PPz/OfhD0E0Ld6vmZVC8OEGgdWaH/KUZI+mxym6VmaNEUqY8iCasAbcV8O/VMDWBvNeLRZrg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=verum.com; dmarc=pass action=none header.from=verum.com;
 dkim=pass header.d=verum.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=verumst.onmicrosoft.com; s=selector2-verumst-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=PQ3qRPOy7B+1Gy0I+HcQvQcCtbGdns/TSZ+mdSNaHUo=;
 b=kNn5fPveqAaZpSDAlOx5sBNcqsdpe9Wr8G0yD2492nR8DrRy4TGFdd6lrppDal04US6tU15H1APi5QDIralKBKoob/wHg0VY9ND0THHTUTiETR/ky12D6oRLKHUcj6Jh9tTtvRT39DRapMU9HF0GA7Yp0uQ71E6MDQzdYRtkVK0=
Authentication-Results: xs4all.nl; dkim=none (message not signed)
 header.d=none;xs4all.nl; dmarc=none action=none header.from=verum.com;
Received: from AM4PR08MB2657.eurprd08.prod.outlook.com (2603:10a6:205:b::14)
 by AM0PR08MB5345.eurprd08.prod.outlook.com (2603:10a6:208:18c::21) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3763.10; Thu, 14 Jan
 2021 16:03:08 +0000
Received: from AM4PR08MB2657.eurprd08.prod.outlook.com
 ([fe80::e86c:ea2e:3311:da94]) by AM4PR08MB2657.eurprd08.prod.outlook.com
 ([fe80::e86c:ea2e:3311:da94%4]) with mapi id 15.20.3742.012; Thu, 14 Jan 2021
 16:03:08 +0000
From: Jan Nieuwenhuizen <jan.nieuwenhuizen@HIDDEN>
To: Jan Nieuwenhuizen <janneke@HIDDEN>
Subject: Re: bug#45618: development childhurd fails to build: glib@HIDDEN:
 build system `meson'
References: <87czymh1oz.fsf@HIDDEN>
Date: Thu, 14 Jan 2021 17:03:04 +0100
In-Reply-To: <87czymh1oz.fsf@HIDDEN> (Jan Nieuwenhuizen's message of "Sun, 03
 Jan 2021 09:19:56 +0100")
Message-ID: <87pn27qzev.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
Content-Type: multipart/mixed; boundary="=-=-="
X-Originating-IP: [2001:980:1b4f:1:42d2:832d:bb59:862]
X-ClientProxiedBy: AM3PR05CA0144.eurprd05.prod.outlook.com
 (2603:10a6:207:3::22) To AM4PR08MB2657.eurprd08.prod.outlook.com
 (2603:10a6:205:b::14)
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from dundal.janneke.lilypond.org
 (2001:980:1b4f:1:42d2:832d:bb59:862) by
 AM3PR05CA0144.eurprd05.prod.outlook.com (2603:10a6:207:3::22) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.3763.10 via Frontend Transport; Thu, 14 Jan 2021 16:03:05 +0000
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 649dd704-4def-4567-6d8c-08d8b8a5e269
X-MS-TrafficTypeDiagnostic: AM0PR08MB5345:
X-Microsoft-Antispam-PRVS: <AM0PR08MB534510A136AD67413A2290D3E9A80@HIDDEN>
X-MS-Oob-TLC-OOBClassifiers: OLM:8273;
X-MS-Exchange-SenderADCheck: 1
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 9v5LpjbWwZZ5uhip5TT0+/KAcCnaTSSGeJkAMLgXUWc8cMIIoogexCfOroAoGu4mJd9wcnXJww+RpMKaw8IADzTb5D4WLQTxs4ppDjbea/UqOVn/pwBvA1ulUynIxTiFPAAgptIZGUzQM9pJscrzTanqGdlCnQSf4+DdTd7vN2SnLdnkKQZItZUMcasmoLFet2VWlvVQBmq8DGoeuZTNWk/tMBlDOmy5NX0Fv34j1gouHu7Lf/ML2oDFeM62YBh90k9x37ng7d9DhwajBU5AvEaIt+M6+afOXdSRZb6BfkCeEUxSc2rkKQ7ki8U5mtFB47PBoLmr/OHwgVuQIwYCPhKwU0EVuDKyZE9/xVIJrKKsV2uGf1q+XPpI2JFc7RdpfC9DyqFoRh2YIIvb4XAe582CPjKpwE8y6WFDaOs87VrfWoNE+MU5ATe8OKx3FzG5wVxh49xv5/b63C12iu5rretZcv+8FD+SHNB9E+GN/omSPNG8RjUbxkWHg1AiriLY5iZtkpb49gYW+KoiswBEQ+eOkcicNs5iMn7CjPDdXOE=
X-Forefront-Antispam-Report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:AM4PR08MB2657.eurprd08.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(396003)(39830400003)(136003)(366004)(346002)(376002)(86362001)(66476007)(4326008)(66576008)(66556008)(66946007)(44832011)(36756003)(6916009)(6506007)(186003)(52116002)(83380400001)(6486002)(316002)(2906002)(33964004)(5660300002)(8676002)(8936002)(235185007)(478600001)(2616005)(16526019)(966005)(6512007)(81973001)(220923002);
 DIR:OUT; SFP:1102; 
X-MS-Exchange-AntiSpam-MessageData: =?us-ascii?Q?ynRU79wHd9x5Be8WJE5iDu6Tgtfi4QK+rl9wKKakFR2gPAbqU3o6xoIA+Sco?=
 =?us-ascii?Q?X5gYKeek9NLpl9c2s02J5GPpCXwTIqA+iyfGaDFxTI+6+8W/NC2W9kiCmTZ+?=
 =?us-ascii?Q?wkLlgJ2yoJmfA5Y4N/70gPQvoxV4EENdsvGJcTPLa2Sp4iwiQ5X7V2ph1f6B?=
 =?us-ascii?Q?LKAOPOeQTaE0FwD7Ul1mssAPfwyRtA7QMseQxcSXWYv4sIB/fTwFOkKaAZPq?=
 =?us-ascii?Q?JIt1tpogalXtx/HRmks8dV5za2iwywp7iqjVUakA9nh8akxIsiflJHkn+I8d?=
 =?us-ascii?Q?xoGhuKoTVWVkFYbacB6UEG5b/9qlpOLrcO3dsr5kocbwfBOW0rmoE4mMVQdd?=
 =?us-ascii?Q?1GU6gnvp3z/mJi7nJM+dlO9FVz8AeCfFfn/cUoY1UnUdCSZ28gzIxlSOTf4Q?=
 =?us-ascii?Q?R95w4BsvV3WfnCrkC99sQwAjoUFjCNqDJQIMHfmjgV90D3bvrCsAAksDgnDK?=
 =?us-ascii?Q?axenMQp7lHmMMySRn70REP9I8GJsntz+uvA41bG9qtKaXDeybGxv2IkIzm16?=
 =?us-ascii?Q?TVgapEc+YFrRra8j8GVY3lOY6faCQqvX0SApChb4NqQULYnraTeCC8bMk5jv?=
 =?us-ascii?Q?IQVPjRKCLKgIvPEuJBzbbxVdoFSBDQqF5GlICNHr7L0xkh3hzhIugwdUWx5y?=
 =?us-ascii?Q?dNqB2s23hwiRO195KBBdW4yVACQx8OVPM9lz4AA9SiIQGd75tffKQjjPr3sD?=
 =?us-ascii?Q?6k1Ydv6y5Cx7WWQXH8DUxczAwCORzTBZ3VVFLupUUVb9uqdctwApkdqemkqy?=
 =?us-ascii?Q?RBULsvF4eILCrVa/h2OaaHvBeESk6+9Lw8GDCEIMrksJw8FPVRczGQG8qy4B?=
 =?us-ascii?Q?pJczAdNUOtANPr2mpNYZFh94oFZiURNAY65CatVOiJ9dMCAk5CY6F1GDTRBx?=
 =?us-ascii?Q?3S7oOluIpFT9h95ooEuMrjaFBzn8rMvsF9dqH2Wr5Itfj7zAOf6s0hwon78L?=
 =?us-ascii?Q?BJoCTzYxZ4+kIpaq820onlMpdPz0sX4aVkZbnSXPQ/RT3faz8DB3XoX2ZuPm?=
 =?us-ascii?Q?w2+WUW12Z53RFPQp4IjHkpHFPHdpnnRSlmEpgm8dixkr9As=3D?=
X-OriginatorOrg: verum.com
X-MS-Exchange-CrossTenant-AuthSource: AM4PR08MB2657.eurprd08.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 14 Jan 2021 16:03:07.9920 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: a12adc2b-ece0-4282-b9ce-ad23864dd7c5
X-MS-Exchange-CrossTenant-Network-Message-Id: 649dd704-4def-4567-6d8c-08d8b8a5e269
X-MS-Exchange-CrossTenant-MailboxType: HOSTED
X-MS-Exchange-CrossTenant-UserPrincipalName: 1JhHiYncK01w6kdg3MPjWzWLsfIL+Yjdqau47eX9+RUDLMf+8SkwpBC6kqOF4yvwtasK9DJWJhLVr0bOxEXlw0IrAxwUmlJ46YHH9feavY0=
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM0PR08MB5345
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 45618-done
X-Mailman-Approved-At: Thu, 14 Jan 2021 13:53:21 -0500
Cc: 45618-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

--=-=-=
Content-Type: text/plain

Jan Nieuwenhuizen writes:

Hello,

> On current master
>
>     395489cdc959c3f3c026bf545c3ed95efc9919f0
>     gnu: spice-vdagent: Update to 0.20.0.
>
> building
>
>     ./pre-inst-env guix system disk-image --target=i586-pc-gnu gnu/system/examples/devel-hurd.tmpl
>
> fail with
>
> guix system: error: gnu/packages/glib.scm:181:2: glib@HIDDEN: build system `meson' does not support cross builds

My bad, turns out to be the new guile-avahi dependency that cannot be
cross-built.

For the archives, find an updated devel-hurd.tmpl attached that removes
guile-avahi.

Greetings,
Janneke


--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=devel-hurd.tmpl
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


--=20
Jan Nieuwenhuizen <janneke@HIDDEN> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar=C2=AE http://AvatarAcademy.com

--=-=-=--




Notification sent to Jan Nieuwenhuizen <janneke@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Jan Nieuwenhuizen <jan.nieuwenhuizen@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Jan 2021 08:20:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 03 03:20:03 2021
Received: from localhost ([127.0.0.1]:33231 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kvycN-0004LT-Dh
	for submit <at> debbugs.gnu.org; Sun, 03 Jan 2021 03:20:03 -0500
Received: from lists.gnu.org ([209.51.188.17]:60000)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1kvycL-0004LA-FJ
 for submit <at> debbugs.gnu.org; Sun, 03 Jan 2021 03:20:02 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:54342)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>) id 1kvycL-0002is-8m
 for bug-guix@HIDDEN; Sun, 03 Jan 2021 03:20:01 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39508)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <janneke@HIDDEN>)
 id 1kvycK-00082X-Ai; Sun, 03 Jan 2021 03:20:00 -0500
Received: from [2001:980:1b4f:1:42d2:832d:bb59:862] (port=38464
 helo=dundal.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <janneke@HIDDEN>)
 id 1kvycJ-0002Tn-QN; Sun, 03 Jan 2021 03:20:00 -0500
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: bug-guix@HIDDEN
Subject: development childhurd fails to build: glib@HIDDEN: build system
 `meson'
Organization: AvatarAcademy.nl
X-Url: http://AvatarAcademy.nl
Date: Sun, 03 Jan 2021 09:19:56 +0100
Message-ID: <87czymh1oz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Hi,

We have been using the attached devel-hurd.tmpl (see attched) to add a
childhurd service that has a development environment.

On current master

    395489cdc959c3f3c026bf545c3ed95efc9919f0
    gnu: spice-vdagent: Update to 0.20.0.

building

    ./pre-inst-env guix system disk-image --target=i586-pc-gnu gnu/system/examples/devel-hurd.tmpl

fail with

--8<---------------cut here---------------start------------->8---
guix system: error: gnu/packages/glib.scm:181:2: glib@HIDDEN: build system `meson' does not support cross builds
--8<---------------cut here---------------end--------------->8---

I guess we are missing a (some?) tests for the Hurd.

Anyway, I started a bisecting round last night and it found

--8<---------------cut here---------------start------------->8---
1b0cda6b44 gnu: qemu: Extend I/O test time-outs.
--8<---------------cut here---------------end--------------->8---

which was an honest debugging leftover, fixed promptly in

--8<---------------cut here---------------start------------->8---
b070e3f810 gnu: qemu: Remove left-over debugging statement.
--8<---------------cut here---------------end--------------->8---

Luckily, this fixed commit also builds the childhurd again...so I'm
starting a new bisect.

This is not funny; it means I either cannot reconfigure, or I'm losing
my childhurd...grmbl.  Sorry for not noticing this earlier!

Greetings,
Janneke


--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=devel-hurd.tmpl
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


--=20
Jan Nieuwenhuizen <janneke@HIDDEN> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar=C2=AE http://AvatarAcademy.com

--=-=-=--




Acknowledgement sent to Jan Nieuwenhuizen <janneke@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#45618; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 17 Jan 2021 16:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.